Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Card API

Download D1-Public-OUT-v2-Card.yaml

Notify Card Operations

post

This request is used by D1 to notify the system of the bank about any card status update. There is a retry mechanism in case the notification has not been sent. Thus the bank system can use this notification to synchronize card status with their card repository. The number max of card status update in the notification is defined at onboarding time according to bank's system capability. Each update is linked to a given card id, and can contain a message dedicated for the final end-user.

Authorizations
AuthorizationstringRequired

A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.

Path parameters
issuerIdstring · min: 10 · max: 10Required

The id of the issuer

Header parameters
x-correlation-idstringOptional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

AuthorizationstringOptional

Oauth Access token (optional)

Example: 'Bearer 2zzLJmBAtTNIU8nF8e8XbmDvaNGs'
Body
Responses
post
/notifications/d1/v2/issuers/{issuerId}/cards

No content

Last updated

Was this helpful?